Bug 736087 (CVE-2011-3207)

Summary: CVE-2011-3207 openssl: CRL verification vulnerability
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: erik-fedora, jlieskov, kalevlember, ktietz, lfarkas, mvadkert, rjones, tmraz
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20110906,reported=20110906,source=internet,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,rhel-4/openssl=notaffected,rhel-5/openssl=notaffected,rhel-6/openssl=affected,rhel-4/openssl096b=notaffected,rhel-5/openssl097a=notaffected,rhel-6/openssl098e=notaffected,fedora-all/openssl=affected,fedora-all/mingw32-openssl=affected
Fixed In Version: openssl 1.0.0e Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-23 02:54:59 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 736088, 736089, 737520, 745562, 846213    
Bug Blocks: 736091    

Description Vincent Danen 2011-09-06 12:14:33 EDT
From the upstream advisory [1]:

Under certain circumstances OpenSSL's internal certificate verification
routines can incorrectly accept a CRL whose nextUpdate field is in the past.
(CVE-2011-3207)

This issue applies to OpenSSL versions 1.0.0 through 1.0.0d. Versions of
OpenSSL before 1.0.0 are not affected.

Users of affected versions of OpenSSL should update to the OpenSSL 1.0.0e
release, which contains a patch to correct this issue.

Thanks to Kaspar Brand <ossl@velox.ch> for identifying this bug and 
suggesting a fix.

Applications are only affected by the CRL checking vulnerability if they enable
OpenSSL's internal CRL checking which is off by default. For example by setting
the verification flag X509_V_FLAG_CRL_CHECK or X509_V_FLAG_CRL_CHECK_ALL.
Applications which use their own custom CRL checking (such as Apache) are not
affected.


[1] http://www.openssl.org/news/secadv_20110906.txt
Comment 1 Vincent Danen 2011-09-06 12:17:10 EDT
Created mingw32-openssl tracking bugs for this issue

Affects: fedora-all [bug 736089]
Comment 2 Vincent Danen 2011-09-06 12:17:14 EDT
Created openssl tracking bugs for this issue

Affects: fedora-all [bug 736088]
Comment 3 Tomas Hoger 2011-09-09 06:59:28 EDT
Upstream fix:
  http://cvs.openssl.org/chngview?cn=21349
Comment 7 Jan Lieskovsky 2011-10-06 07:56:17 EDT
This issue did not affect the versions of the openssl package, as shipped with
Red Hat Enterprise Linux 4 and 5.

This issue did not affect the version of the openssl096b package, as shipped
with Red Hat Enterprise Linux 4.

This issue did not affect the version of the openssl097a package, as shipped
with Red Hat Enterprise Linux 5.

This issue did not affect the version of the openssl098e package, as shipped
with Red Hat Enterprise Linux 6.
Comment 10 Vincent Danen 2011-10-26 10:41:15 EDT
Statement:

This issue did not affect the versions of openssl as shipped with Red Hat Enterprise Linux 4 and 5, openssl096b as shipped with Red Hat Enterprise Linux 4, openssl097a as shipped with Red Hat Enterprise Linux 5, or openssl098e as shipped with Red Hat Enterprise Linux 6.


External References:

http://www.openssl.org/news/secadv_20110906.txt
Comment 11 errata-xmlrpc 2011-10-26 12:58:56 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1409 https://rhn.redhat.com/errata/RHSA-2011-1409.html